### Method

# Gtk PrintJobset_source_file

#### Declaration [src]

    gboolean
    gtk_print_job_set_source_file (
      GtkPrintJob* job,
      const char* filename,
      GError** error
    )

#### Description [src]

Make the `GtkPrintJob` send an existing document to the printing system.

The file can be in any format understood by the platforms printing system (typically PostScript, but on many platforms PDF may work too). See `gtk_printer_accepts_pdf()` and `gtk_printer_accepts_ps()`.

#### Parameters

`filename`

  Type: `const char*`

  The file to be printed.

  The data is owned by the caller of the method.
  The value is a file system path, using the OS encoding.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`FALSE` if an error occurred.